import request from '@/utils/request';
//获取表格数据
export function getdata(params: any) {
    return request({
        url: '/patroltasks/task-todo/getTaskReportList',
        method: 'get',
        params: params
    });
}
//删除任务执行情况
export function DelData(params:any) {
    return request({
        url: '/patroltasks/task-todo/deleteTaskTodo',
        method: 'POST',
        params:params
    });
}
//导出报告
export function exportExcel(queryParams: any) {
    return request({
      url: '/patroltasks/task-todo/exportTaskTodoById',
      method: 'get',
      params: queryParams,
      responseType: 'arraybuffer'
    });
  }
//预览word
export function getword(queryParams: any) {
    return request({
      url: '/patroltasks/task-todo/viewTaskTodoById',
      method: 'get',
      params: queryParams,
      responseType: 'blob'
    });
  }
// 上报巡视报告
export function uploadTaskTodoById(queryParams: any) {
  return request({
    url: '/patroltasks/task-todo/uploadTaskTodoById',
    method: 'get',
    params: queryParams,
  });
}